image: docker:latest

stages:
  - lint
  - test

Lint shell scripts:
  stage: lint
  script:
    - docker run --rm -v "$PWD:/mnt" koalaman/shellcheck:stable libexec/*
Test:
  stage: test
  script:
    - docker run -it -v "$(pwd):/code" bats/bats:latest /code/test


